petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISCreate

Creates an index set object.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISCreate(MPI_Comm comm,IS *is)

Collective on MPI_Comm

### Input Parameters

comm -the MPI communicator

### Output Parameter

is -the new index set

### Notes

When the communicator is not MPI_COMM_SELF, the operations on IS are NOT conceptually the same as MPI_Group operations. The IS are then distributed sets of indices and thus certain operations on them are collective.

### See Also

ISCreateGeneral(), ISCreateStride(), ISCreateBlock(), ISAllGather()

### Level

beginner

### Location

src/vec/is/is/interface/isreg.c

### Implementations

ISCreate_Block in src/vec/is/is/impls/block/block.c
ISCreate_General in src/vec/is/is/impls/general/general.c
ISCreate_Stride in src/vec/is/is/impls/stride/stride.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages